1. API reference
  2. Media

Upload media files

POSThttps://howdybell.com/api/v1/media

Upload one to twenty files to a specific location. You may optionally assign them to an existing folder.

Request body (multipart form)

  • filesarray of stringRequired
  • folder_idinteger, nullable
  • location_idintegerRequired

    The location to work in. Must belong to your workspace.

Responses

201

  • dataarray of string

422 Validation error

  • messagestring

    Errors overview.

  • errorsobject

    A detailed description of each field that failed validation.

RequestcURL
curl -X POST "https://howdybell.com/api/v1/media" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
  -F "files=string" \
  -F "folder_id=1" \
  -F "location_id=1" \
Response201
{
  "data": [
    "string"
  ]
}
Upload media files (POST /api/v1/media) | HowdyBell Developers